/*******************************************************************************
 * Licensed Materials - Property of IBM
 * Copyright IBM Corporation 2012.  All Rights Reserved.
 *
 * US Government Users Restricted Rights - Use, duplication or disclosure
 * restricted by GSA ADP Schedule Contract with IBM Corp.
 *******************************************************************************/
// NLS_CHARSET=UTF-8
({
	title: "Compare Configurations",
	deliverTitle: "Deliver Outgoing Changes",
	acceptTitle: "Accept Incoming Changes",
	compareWithParentSnapshotTitle: "Compare the Workspace with the Base Snapshot",
	compareWithParentWorkspaceTitle: "Compare the Workspace with the Flow Target",
	rebaseTitle: "Update Resources",
	
	compareInProgress: "Loading and comparing. Please wait...",
	noCompareAvailable: "Your compare session has timed out. Do you want to reload this session?",
	cannotCompareToSelf: "You cannot compare a configuration against itself. Please choose a different source or target.",
	validating: "Validating...",
	noCommonSnapshot: "These workspaces do not have a common snapshot and so cannot be merged.",

	// breadcrumbs
	configurations: "Configurations",
	workspace: "Workspace",
	rebase: "Rebase",
	
	step1Title: "Select Configurations",
	required: "*",
	descendantConfigurationTitle: "Source",
	otherDescendantConfigurationTitle: "Target",
	flowTargetOption: "Flow target",
	baseSnapshotOption: "Base snapshot",
	otherOption: "Select other",
	
	descendantPickerSecondaryTitle: "choose a workspace or snapshot",
	otherDescendantPickerSecondaryTitle: "choose a workspace",
	descendantPickerTitle: "Select Source",
	otherDescendantPickerTitle: "Select Target",
	
	generateCompareResult: "Start",
	swap: "Swap source and target",
	
	previousMessage: "Automatic",
	
	targetMustBeMutable: "The target must be a workspace or change set.  Use the 'Swap source and target' button, and try again."
})