/*******************************************************************************
 * Licensed Materials - Property of IBM
 * Copyright IBM Corp. 2011, 2013.  All Rights Reserved.
 * 
 * US Government Users Restricted Rights - Use, duplication or disclosure
 * restricted by GSA ADP Schedule Contract with IBM Corp.
 *******************************************************************************/
(function() {
	dojo.provide("com.ibm.team.vvc.shared.core.ui.objects.DeliverableChangeset");

	dojo.require("com.ibm.team.vvc.shared.core.ui.objects.Constants");
	var Constants = com.ibm.team.vvc.shared.core.ui.objects.Constants;
	
	dojo.require("com.ibm.team.vvc.shared.core.ui.objects.VvcObject");
	
	dojo.require("com.ibm.team.vvc.shared.web.ui.util.SecurityServiceUtils");

	dojo.declare("com.ibm.team.vvc.shared.core.ui.objects.DeliverableChangeset",
			com.ibm.team.vvc.shared.core.ui.objects.VvcObject, {		

		constructor: function(properties) {
			this.properties = properties;
		},
		
		getFrontServiceId: function() {
			return null;
		},

		getChangesetConcept: function() {
			return this.getProperty(Constants.CONCEPT);
		},

		getTitle: function() {
			return this.getProperty(Constants.TITLE);
		},

		getCreator: function() {
			return this.getProperty(Constants.CHANGESET_CREATOR);
		},
		
		getState: function() {
			return this.getProperty(Constants.STATE);
		},
		
		getGapDependentChangesets: function() {
			return this.getProperty(Constants.DELIVER_GAP_DEPENDENT_CHANGESETS);
		},
		
		getOrder: function() {
			return this.getProperty(Constants.DELIVER_ORDER);
		},
		
		
	});
})();