/*******************************************************************************
 * Licensed Materials - Property of IBM
 * Copyright IBM Corp. 2013.  All Rights Reserved.
 *
 * US Government Users Restricted Rights - Use, duplication or disclosure
 * restricted by GSA ADP Schedule Contract with IBM Corp.
 *******************************************************************************/
// NLS_CHARSET=UTF-8
({
	title: "Summary",
	workspaceTitle: "Workspace Summary",
	snapshotTitle: "Snapshot Summary",
	
	loading: "loading...",
	none: "<none>",
	
	unsupportedTitle: "Unsupported configuration",
	unsupportedDescription: "A ${ncType} cannot be created from a ${pcType}.",
	unsupportedSolution: "Select a valid flow target or base configuration. Valid combinations: workspace from a snapshot, or a snapshot from a workspace.",
	
	name: "Name:",
	description: "Description:",
	space: "Configuration space:",
	parent: "Flow target:",
	baseSnapshot: "Base snapshot:",
	actions: "Pending actions:",
	automatic: " (Automatically Determined)",
	notProvided: "None provided",
		
	autoWorkspaceOffWorkspace: "To create the workspace, click <b>Next</b>.<p>First, the Configuration Management application creates the new \"${imcTitle}\" snapshot based on the \"${pcTitle}\" workspace.</p><p>Then, it creates the \"${ncTitle}\" workspace based on the new \"${imcTitle}\" snapshot.</p><p>The new \"${ncTitle}\" workspace is based on a snapshot; changes that you or team members make to resources in the original \"${pcTitle}\" workspace after the \"${imcTitle}\" snapshot is created do not affect the content of the new \"${ncTitle}\" workspace.</p>",
	manualWorkspaceOffWorkspace: "To create a workspace that has the \"${pcTitle}\" workspace as its flow target, click <b>Next</b>.<p>Team members can change the resources in either workspace.</p><p>Changes that are made to resources in the flow target are visible in this workspace. However, conflicting changes (changes to the same resource in both workspaces) must be merged between the flow target and this workspace.",	
	manualSnapshotOffWorkspace: "To create the snapshot based on the \"${pcTitle}\" workspace, click <b>Next</b>.<p>A snapshot captures the state of resources in a workspace at that time and cannot be modified.</p>",
	manualWorkspaceOffSnapshot: "To create the workspace based on the \"${pcTitle}\" snapshot, click <b>Next</b>.<p>Changes to resources in workspaces that are based on a snapshot do not affect the resources in the new workspace.</p>"
});
