/*******************************************************************************
 * Licensed Materials - Property of IBM
 * Copyright IBM Corporation 2013.  All Rights Reserved.
 *
 * US Government Users Restricted Rights - Use, duplication or disclosure
 * restricted by GSA ADP Schedule Contract with IBM Corp.
 *******************************************************************************/
// NLS_CHARSET=UTF-8
({
	updateSpaceHeading: "Update the configuration space name",
	updateSpaceCheckbox: "Update the configuration space name to the name of the project area",

	updateSpaceError: "CRMVC0300E The configuration space could not be renamed to ${0}",
	"updateSpaceError.explanation": "A synchronization error occurred on the server while renaming the configuration space.", 
	"updateSpaceError.useraction": "Rename the configuration space again. If the problem persists, contact your system administrator.", 

	updateSpaceError403: "CRMVC0301E The configuration space name could not be updated because of a permissions error.",
	"updateSpaceError403.explanation": "You are not a member of the appropriate project area or you do not have the necessary permissions to update the configuration space name.", 
	"updateSpaceError403.useraction": "Contact your system administrator for the necessary permissions.", 

		
	updateSpaceError404: "CRMVC0302E The configuration space could not be located.",
	"updateSpaceError404.explanation": "Typically, this error occurs when the configuration space no longer exists.", 
	"updateSpaceError404.useraction": "Verify that the configuration space exists. If the space was deleted, consider archiving this project area.", 

	updateSpaceErrorGeneral: "CRMVC0303E The configuration space name must be unique.",
	"updateSpaceErrorGeneral.explanation": "An error occurred on the server while renaming the configuration space.", 
	"updateSpaceErrorGeneral.useraction": "Verify that the space name is unique; then, rename the configuration space again."

})