/*******************************************************************************
 * Licensed Materials - Property of IBM
 * Copyright IBM Corp. 2011, 2012.  All Rights Reserved.
 * 
 * US Government Users Restricted Rights - Use, duplication or disclosure
 * restricted by GSA ADP Schedule Contract with IBM Corp.
 *******************************************************************************/

(function() {
dojo.provide("com.ibm.team.vvc.server.core.ui.internal.application.HelpDialog");

dojo.require("jazz.ui.Dialog");

dojo.declare("com.ibm.team.vvc.server.core.ui.internal.application.HelpDialog", [dijit._Widget, dijit._Templated], {
   templateString: "<div dojoAttachPoint='contentNode'><ul><li>Help topic1</li><li>Help topic2</li></ul></div>",

   postCreate: function() {
      this.showDialog();
   },
   
   showDialog: function () {
      this.dialog = new jazz.ui.Dialog({
         contentNode: this.contentNode,
         primaryTitle: "Configuration Management Help",
         width: "400px",
         closeOnBlur: true
      });
   },
      
   uninitialize: function() {
	   if (this.dialog) {
		   this.dialog.destroy();
	   }
   }   
});
})();
