/*******************************************************************************
 * Licensed Materials - Property of IBM
 * Copyright IBM Corp. 2011, 2012.  All Rights Reserved.
 * 
 * US Government Users Restricted Rights - Use, duplication or disclosure
 * restricted by GSA ADP Schedule Contract with IBM Corp.
 *******************************************************************************/
// NLS_CHARSET=UTF-8
({
	wizardName_deliver: "Deliver Changesets",
	wizardName_compare: "Compare Changesets",
	loading: "Loading...",
	finishing_deliver: "Delivering changesets...",
	finishing_compare: "Ending compare session...",
	
	sessionTimeoutTitle: "Your session has timed out. Press the 'Cancel' button to discard this session and start over.",
	sessionTimeoutDescription: "Your session was inactive for some time, and has now expired.",
	sessionTimeoutSolution: "Please press Cancel to discard this session and start over.",
	
	sessionTimeoutTitle_compare: "Your session has timed out. Press the 'Finish' button to discard this session and start over.",
	sessionTimeoutSolution_compare: "Please press Finish to discard this session and start over.",
	
	cannotLockTitle: "Some resources could not be locked. Make sure there are no other deliver sessions in progress. If you want to continue delivering without these locked resources, check the 'Deliver partial change sets' checkbox below.",
	cannotLockDescription: "When delivering complete change sets, all resources that will be involved in the delivery must be locked, ensuring no one else can modify these resources while you are delivering. This error has occurred because either: (1) someone else might be delivering change sets that involve the same resources, or (2) some application servers are down.",
	cannotLockSolution: "You can continue without these locked resources by checking the 'Deliver partial change sets' checkbox below. If you want to deliver all resources, then you can try again later when others have finished their deliveries, or you can ask your admin to check if all application servers are up and running.",
	
	conflictsRemainTitle: "Some conflicts were not resolved. Please go back to the previous steps and make sure all conflicts have been resolved.",
	conflictsRemainDescription: "When delivering complete change sets, all conflicts need to be resolved before the changes can be delivered.",
	conflictsRemainSolution: "You can either go back and resolve all conflicts, or start a new session to 'Deliver partial change sets' only.",
})
