/*******************************************************************************
 * Licensed Materials - Property of IBM
 * (c) Copyright IBM Corporation 2010, 2011. All Rights Reserved.
 * 
 * Note to U.S. Government Users Restricted Rights:
 * Use, duplication or disclosure restricted by GSA ADP Schedule
 * Contract with IBM Corp.
 *******************************************************************************/

(function() {
	
dojo.provide("com.ibm.team.vvc.server.core.ui.internal.page.CompareExternalWizardStep");

dojo.require("jazz.ui.wizard.ExternalWizardStep");

var STEPS_URI_PREFIX = "/steps/";

dojo.require("com.ibm.team.vvc.shared.web.ui.VvcConstants");
var vvcConstants = com.ibm.team.vvc.shared.web.ui.VvcConstants;

/*
 * Loads an external (cross-domain) compare provider UI. 
 */
dojo.declare("com.ibm.team.vvc.server.core.ui.internal.page.CompareExternalWizardStep", [jazz.ui.wizard.ExternalWizardStep], {	
	
	setStepPosition: function(position) {
		this.position = position;
		
		//Build a parent URL to send to the iFrame
		var url = self.location.href;
		var i = url.indexOf("#");
		var newHash =  "#action=" + vvcConstants.EXPLORE_COMPARISON + "&s=" + STEPS_URI_PREFIX + position;
		this.parentURL = i != -1 ? url.substr(0,i) + newHash : url + newHash;
	},
		
});		
})();