/*******************************************************************************
 * Licensed Materials - Property of IBM
 * Copyright IBM Corporation 2012-2013.  All Rights Reserved.
 *
 * US Government Users Restricted Rights - Use, duplication or disclosure
 * restricted by GSA ADP Schedule Contract with IBM Corp.
 *******************************************************************************/
// NLS_CHARSET=UTF-8
({
	
	createWorkspaceButtonTitle: "New Workspace",
	createSnapshotButtonTitle: "New Snapshot",
	
	compareWithPreviousButtonTitle: "Compare with Previous",
	compareButtonTitle: "Compare",
	
	archiveButtonTitle: "Archive",
	unarchiveButtonTitle: "Restore",
	
	associateProjectOrTeamAreaAction: "Assign Team Ownership",
	associateProjectOrTeamAreaDialog: "Specify an Area to Control Access to the Configuration",
	
	refreshButtonTitle: "Refresh",
	deliverButtonTitle: "Deliver changes",
	
	expandAllButtonTitle: "Expand all",
	collapseAllButtonTitle: "Collapse all",
	
	showArchivedButtonTitle: "Show archived configurations",
	hideArchivedButtonTitle: "Hide archived configurations",
	archivingConfigurationNotificationTitle: "The configuration is being archived...",
	archivingConfigurationNotificationDescription: "The page will automatically refresh when the operation is complete.",
	unarchvingConfigurationNotificationTitle: "The configuration is being restored...",
	unarchivingConfigurationNotificationDescription: "The page will automatically refresh when the operation is complete.",
		
	archive_operation_title: "archive",
	restore_operation_title: "restore",
	
	error_ARCHIVE_CHILDREN: "CRMVC1101E An error occured during the ${operation} operation for the \"${title}\" ${type}.",
	"error_ARCHIVE_CHILDREN.explanation": "This configuration is the flow target for ${0} configurations. Archive the following configurations and try again:",
	"error_ARCHIVE_CHILDREN.useraction": "Archive the blocking workspace(s) and snapshot(s), then try the operation again.  If the problem persists, verify you have the correct permissions within the appropriate controlling area.",
	
	error_ARCHIVE_DEPENDENCIES: "CRMVC1102E An error occured during the ${operation} operation for the \"${title}\" ${type}.",
	"error_ARCHIVE_DEPENDENCIES.explanation":  "The configuration cannot be archived because the following ${0} configuration(s) depend on it:",
	"error_ARCHIVE_DEPENDENCIES.useraction": "Archive the blocking workspace(s) and snapshot(s), or remove the dependencies, then try the operation again.  If the problem persists, verify you have the correct permissions within the appropriate controlling area.", 
	
	error_UNARCHIVE_DEPENDENCIES: "CRMVC1103E An error occured during the ${operation} operation for the \"${title}\" ${type}.",
	"error_UNARCHIVE_DEPENDENCIES.explanation": "The configuration cannot be restored because it depends on the following ${0} configuration(s) which are still archived:",
	"error_UNARCHIVE_DEPENDENCIES.useraction": "Restore the dependency workspace(s) and snapshot(s), then try the operation again.  If the problem persists, verify you have the correct permissions within the appropriate controlling area.",
	
	error_UNARCHIVE_PARENTS: "CRMVC1104E An error occured during the ${operation} operation for the \"${title}\" ${type}.",
	"error_UNARCHIVE_PARENTS.explanation": "Before you can restore the configuration, you must restore the following configurations:",
	"error_UNARCHIVE_PARENTS.useraction": "Restore the configurations, then try the operation again. If the problem persists, verify you have the correct permissions within the appropriate controlling area."
})
