/*******************************************************************************
 * Licensed Materials - Property of IBM
 * Copyright IBM Corp. 2011, 2013.  All Rights Reserved.
 * 
 * US Government Users Restricted Rights - Use, duplication or disclosure
 * restricted by GSA ADP Schedule Contract with IBM Corp.
 *******************************************************************************/
(function() {
	dojo.provide("com.ibm.team.vvc.shared.core.ui.objects.ResolvedConflict");

	dojo.require("com.ibm.team.vvc.shared.core.ui.objects.Constants");
	var Constants = com.ibm.team.vvc.shared.core.ui.objects.Constants;
	
	dojo.require("com.ibm.team.vvc.shared.core.ui.objects.VvcObject");

	dojo.declare("com.ibm.team.vvc.shared.core.ui.objects.ResolvedConflict",
			com.ibm.team.vvc.shared.core.ui.objects.VvcObject, {		

		concept: null,
		
		version: null,
		
		constructor: function(concept, version) {
			this.setConcept(concept);
			this.setVersion(version);
		},

		setConcept: function(value) {
			this.setProperty(Constants.CONCEPT, value);
		},
		
		getConcept: function() {
			return this.getProperty(Constants.CONCEPT);
		},

		setVersion: function(value) {
			this.setProperty(Constants.VERSION, value);
		},
		
		getVersion: function() {
			return this.getProperty(Constants.VERSION);
		},
		
	});
})();